# Matice

Maticí **typu m/n** nazveme soubor (tabulku) m x n prvků (čísel) $a_{ij}$ zapsaných do **m řádků** a **n sloupců**.

| značení    | význam                     |
| ---------- | -------------------------- |
| ($i$, $j$) | pozice v matici            |
| $a_{ij}$   | prvek na pozici ($i$, $j$) |
| $i$        | řádkový index              |
| $a_{kk}$   | diagonální prvek matice    |
| $m/n$        | typ matice: $m$ řádků, $n$ sloupců                           |

### Názvy matic

##### Tvarové
- **Čtvercová matice**
	- mají stejný počet řádků a sloupců                           
- **Obdélníková matice**
	- rozdílný počet řádků a sloupců
- **$m$-složkový sloupcový vektor**
	- matice typu $m/1$
- **$n$-složkový řádkový vektor**
	- matice typu $1/n$

##### Další
- **Nulová matice**
	- matice $m/n$ plná nul, značíme 0
	$$\begin{bmatrix}
	0 & 0 & 0 \\
	0 & 0 & 0
	\end{bmatrix}$$
- **Diagonální matice**
	  - čtvercová matice s nenulovými čísly pouze na diagonále
	$$diag\{1, -3, 0\} = A = \begin{bmatrix}
	-1 & 0 & 0 \\
	0 & -3 & 0 \\
	0 & 0 & 0
	\end{bmatrix}$$
- **Jednotková matice**
	  - diagonální matice s 1 na diagonále
	$$I = \begin{bmatrix}
	1 & 0 & 0 \\
	0 & 1 & 0 \\
	0 & 0 & 1
	\end{bmatrix}$$
- **Symetrická matice**
	- čtvercová matice, kde se $a_{ij}$ rovná $a_{ji}$
	$$A_{1} = \begin{bmatrix}
	1 & \underline{2} & \underline{1} \\
	\underline{2} & 1 & \underline{0} \\
	\underline{1} & \underline{0} & 3
	\end{bmatrix}$$
- **Antisymetrická matice**
	- čtvercová matice, kde se $a_{ij}$ rovná -$a_{ji}$
	$$A_{2} = \begin{bmatrix}
	0 & \underline{2} & \underline{-1} \\
	\underline{-2} & 0 & \underline{3} \\
	\underline{1} & \underline{-3} & 0
	\end{bmatrix}$$
	- **Poznámka**: V antisymetrické matici jsou všechny prvky $a_{ii} = 0$
- **Horní a dolní trojůhelníková matice**
	- Pro H platí $a_{ij} = 0$ pro všechna $i > j$
	- Pro D platí $a_{ij} = 0$ pro všechna $i < j$
	$$H = \begin{bmatrix}
	1 & 2 & 1 \\
	0 & 3 & 0 \\
	0 & 0 & 4
	\end{bmatrix} \ \ \ D = \begin{bmatrix}
	1 & 0 & 0 \\
	2 & 2 & 0 \\
	1 & 1 & 0
	\end{bmatrix}$$

### Operace

- **Rovnost**
	- $A = B$ pokud všechny $a_{ij} = b_{ij}$
- **Opačná matice**
	- matice $[-a_{ij}]$ značená $-A$ je opačná matice k matici $A$
- **Transponovaná matice**
	- matice $a_{ji}$ typu $n/m$ značená $A^T$ je transponovaná k matici $a_{ij}$ typu $m/n$ značené $A$
	$$A = \begin{bmatrix}
	1 & 2 & 3 \\
	4 & 5 & 6 
	\end{bmatrix} \ \ \ A^T = \begin{bmatrix}
	1 & 4 \\
	2 & 5 \\
	3 & 6
	\end{bmatrix}$$
	- z toho plyne:
		- $A$ je symetrická, právě když $A = A^T$
		- $A$ je antisymetrická, právě když $A = -A^T$
		- $(A^T)^T = A$
- **Sčítání a odčítání**
	- sčítáme/odčítáme prvky na stejných pozicí
- **Násobení konstantou**
	- vynásobíme všechny členy konstantou
- **Násobení dvou matic**
	- nekomutativní
	- matice $A_{m/\underline{n}}$ a $B_{\underline{n}/p}$